Overview
POST
/access/personas/{id}/toolsregistryGrant a tool to a persona (owner/admin)
Create a record in tools.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Request body
application/json · optional
- toolNamestring
Example
{
"toolName": "string"
}Responses
201
the granted tool
- toolRegistryPersonaToolCatalogItem
Example
{
"tool": {
"toolName": "string",
"source": "string",
"displayName": "string",
"description": "string",
"readOnly": true,
"granted": true,
"autonomous": true
}
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}403
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/access/personas/{id}/tools" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"toolName": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/access/personas/{id}/tools", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"toolName\": \"string\"\n}",
});
const data = await res.json();